Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:       nodejs-generic-pool
Version:    2.0.3
Release:    alt1_11
Summary:    Generic resource pooling for Node.js
# License text is included in README.md.
License:    MIT
URL:        https://github.com/coopernurse/node-pool
Source0:    http://registry.npmjs.org/generic-pool/-/generic-pool-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif
Source44: import.info

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/generic-pool
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/generic-pool

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/expresso/bin/expresso -I lib test/*.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/generic-pool


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_11
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_3
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_2
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_1
- initial import

